package es.verdnatura.presentation.view.feature.packingHolland.fragment

import android.content.Context
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import es.verdnatura.domain.SalixCallback
import es.verdnatura.presentation.base.BaseViewModel
import es.verdnatura.presentation.common.ResponseItemVO

class PackingHollandViewModel(val context: Context) : BaseViewModel(context) {

    private val _response by lazy { MutableLiveData<ResponseItemVO>() }
    val response: LiveData<ResponseItemVO>
        get() = _response

    fun travelUpdatePacking(
        itemFk: Int,
        packingFk: Int
    ) {
        salix.travelUpdatePacking(arrayListOf(itemFk, packingFk))
            .enqueue(object : SalixCallback<Any>(context) {

            })
    }

}
